#pragma once
/*
	TransDisplay.h - TransDisplay header file
	
	For TransDisplay version 2.0.
*/

# ifndef	__WINDOWMGR__
# include	"Windows.h"
# endif

# ifndef	__TEXTEDIT__
# include	"TextEdit.h"
# endif

#ifndef Integer
#define Integer short int
#define Longint long int
#endif

# ifndef	nil
# define	nil		(0L)
# endif

Boolean IsDWindow(WindowPtr theWind);
TEHandle GetDWindowTE(WindowPtr theWind);
int SetDWindowStyle(WindowPtr theWind, Integer font, Integer size, Integer wrap, Integer just);
int SetDWindowPos(WindowPtr theWind, Integer lineNum);
int SetDWindowNotify(WindowPtr theWind, ProcPtr p);
int SetDWindowFlush(WindowPtr theWind, Longint maxText, Longint flushAmt);
int SetDWindow(WindowPtr theWind);
int GetDWindow(WindowPtr *theWind);
int FlushDWindow(WindowPtr theWind, Longint byteCount);
WindowPtr NewDWindow(Rect *bounds, StringPtr title, Boolean visible, WindowPtr behind, Boolean goAway, Longint refCon);
WindowPtr GetNewDWindow(Integer resourceNum, WindowPtr behind);
int DisplayText(Ptr theText, Longint len);
int DisplayString(StringPtr theStr);
int DisplayLong(Longint l);
int DisplayInt(Integer i);
int DisplayChar(char c);
int DisplayLn(void);
int DisplayBoolean(Boolean b);
int DisplayHexChar(char c);
int DisplayHexInt(Integer i);
int DisplayHexLong(Longint l);
